<?php
include("require.php");
if(isset($_GET['id']))
{
  if(!isset($_GET['file']))
    $_GET['file']="index";
  $phpcolor->table="plugin";
  $phpcolor->field="*";
  $phpcolor->where="id = '".$_GET['id']."'";
  if(!$plugin=$phpcolor->exist(1))
    jump("index.php");
  if($plugin['state']=="0")
    jump("index.php");
  $tpl -> assign("id", $_GET['id']);
  include("plugin/".$plugin['link']."/".$_GET['file'].".php");
  exit();
}
else
  jump("index.php");
?>